from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRowSetSupplier(XInterface, Protocol):
    def getRowSet(self) -> XRowSet: ...
    def setRowSet(self, xDataSource: XRowSet) -> None: ...
